Overview | Modules | Class Hierarchy | Classes | Members

# tlp::DataSet Struct Reference

`#include <Reflect.h>`

List of all members.

## Detailed Description

A container which allows insertion of different types. The inserted data must have a copy-constructor well done

## Public Member Functions

- DataSet ()
- DataSet (const DataSet &set)
- DataSet & operator= (const DataSet &set)
- ~DataSet ()
- template<typename T> bool get (const std::string &str, T &value) const
- template<typename T> bool getAndFree (const std::string &str, T &value)
- template<typename T> void set (const std::string &str, const T &value)
- bool exist (const std::string &str) const
- void remove (const std::string &str)
- DataType * getData (const std::string &str) const
- void setData (const std::string &str, const DataType *value)
- Iterator< std::pair< std::string,
  DataType * > > * getValues () const

## Constructor & Destructor Documentation

tlp::DataSet::DataSet | ( |  | ) | `[inline]`

tlp::DataSet::DataSet | ( | const DataSet & | set | ) |

tlp::DataSet::~DataSet | ( |  | ) |

## Member Function Documentation

bool tlp::DataSet::exist | ( | const std::string & | str | ) | const

| return true if str exists else false.

template<typename T>
bool tlp::DataSet::get | ( | const std::string & | str,
|  | T & | value
| ) | const

| Returns a copy of the value of the variable with name str. Type are checked in Debug Mode. If the variable str doesn't exist return false else true.

template<typename T>
bool tlp::DataSet::getAndFree | ( | const std::string & | str,
|  | T & | value
| ) |

| Returns a copy of the value of the variable with name str. Type are checked in Debug Mode. If the variable str doesn't exist return false else true. The data is removed after the call.

DataType* tlp::DataSet::getData | ( | const std::string & | str | ) | const

| return an untyped value if any

Iterator< std::pair<std::string, DataType*> >* tlp::DataSet::getValues | ( |  | ) | const

| Return an iterator on all values

DataSet& tlp::DataSet::operator= | ( | const DataSet & | set | ) |

void tlp::DataSet::remove | ( | const std::string & | str | ) |

| remove a named pair

template<typename T>
void tlp::DataSet::set | ( | const std::string & | str,
|  | const T & | value
| ) |

| Set the value of the variable str.

void tlp::DataSet::setData | ( | const std::string & | str,
|  | const DataType * | value
| ) |

| set from an untyped value

Tulip Software by LaBRI Visualization Team 2001 - 2010